# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'ruboty/xmpp/version'

Gem::Specification.new do |spec|
  spec.name          = "ruboty-xmpp"
  spec.version       = Ruboty::Xmpp::VERSION
  spec.authors       = ["Toshinori Minami"]
  spec.email         = ["toshinoriminami@gmail.com"]
  spec.summary       = "XMPP adapter for Ruboty."
  spec.homepage      = "https://github.com/minamimonji/ruboty-xmpp"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_dependency "ruboty", ">= 1.0.4"
  spec.add_dependency "xrc", ">= 0.0.6"
  spec.add_development_dependency "bundler", "~> 1.7"
  spec.add_development_dependency "rake", "~> 10.0"
end
