# Ruboty::Xmpp

XMPP adapter for [Ruboty](https://github.com/r7kamura/ruboty).

## Usage

```ruby
# Gemfile
gem 'ruboty-xmpp'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install ruboty-xmpp

## ENV

```
RUBOTY_XMPP_USERNAME - JID (e.g. alice@wonderland.lit)
RUBOTY_XMPP_PASSWORD - Password
RUBOTY_XMPP_ROOMS    - Comma separated room names to join in (e.g. dev@conference.jabber.example.org)
RUBOTY_XMPP_HOST     - Optional, automatically determined from JID in absence
RUBOTY_XMPP_PORT     - Optional, default: 5222
```
